/***************************************************************************
                          contactaddeduserdialog.cpp  -  description
                             -------------------
    begin                : Sun Apr 14 2002
    copyright            : (C) 2002 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "contactaddeduserdialog.h"

#include <qlabel.h>
#include <klocale.h>

ContactAddedUserDialog::ContactAddedUserDialog( const QString &contactHandle, const QString &contactFriendlyName )
: contactHandle_( contactHandle )
{
  // Let the dialog destroy itself when it's done
  setWFlags( Qt::WDestructiveClose );

  messageLabel_->setText( messageLabel_->text().arg( contactFriendlyName + " (" + contactHandle + ")" ) );
}



ContactAddedUserDialog::~ContactAddedUserDialog()
{
}



// The user picked "add contact to the friends list".
void ContactAddedUserDialog::addContactPressed()
{
  emit userChoice( contactHandle_, ADD );
  close();
}



// The user chose to let the contact view his or her online state, but
//  not to add the contact.
void ContactAddedUserDialog::allowContactPressed()
{
  emit userChoice( contactHandle_, ALLOW );
  close();
}



// The user chose to block the contact.
void ContactAddedUserDialog::blockContactPressed()
{
  emit userChoice( contactHandle_, BLOCK );
  close();
}

#include "contactaddeduserdialog.moc"
